Subject: XTerm issues.
From: [email-masked] (Charles G Waldman)

12 Sep 1998 05:59:26 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Ilsundal <[email-masked]>
Cc: [email-masked]

Ilsundal writes:
 > Hello, here are a few things I've run into with XTerm, and am wondering if
 > there are any solutions.
 > 
 > This is what's been bothering me the most -- when I am in an XTerm, if I
 > run any text application such as pico, edit.com, etc., the display for the
 > program goes to whatever cygnus bash session window I invoked the Xterm
 > from, or the cygnus bash session window I invoked my window manager from.
 > This is very annoying, and makes the use of XTerms quite useless.  

set CYGWIN32 = 'binmode tty' (at least)
I use 'binmode tty notitle ntea'
 > 
 > Another thing I was wondering was, is there any way to tell xterm which
 > type of shell to use?  I know that's a bit confusing, but here's what I'm
 > trying to do.  I made a copy of the cygnus.bat file, and called it
 > xterm.bat.  I replaced the last line "bash" with "xterm" and set my
 > display variables within the batch file.  XTerm pops up fine, although
 > there's nothing within it.  It's basically just a blank screen.  The
 > reason I want to do this, is so I can make an "xterm" icon on my desktop,
 > which gives me the ability to run xterms, without having to invoke a text
 > dos window, load cygnus, and then run an xterm.  That's just too much work
 > to be doing. :) 

xterm -e /usr/bin/bash

What I've done is to get rid of the 'cygnus.bat' file entirely and
just add the env. vars that get set there to the NT environment - if
you use NT do this through  "control panel/system/environment" and on
95/98 just use 'sysedit' to cram the settings into autoexec.bat.  Then 
you don't need cygnus.bat anymore.  You can make a desktop shortcut
that starts Xterm directly.  I have mine do:

xterm -sb -sl 300 -bg lightblue -fn 9x15 -e /usr/bin/bash

which makes me pretty happy.

You also will need an /etc/termcap that has a decent entry for XTerm.
Mine looks like this (copied from Linux):

# Entry for an xterm. Insert mode has been disabled.
vs|xterm|vs100|xterm terminal emulator (X Window System):\
        :am:bs:mi@:km:co#80:li#55:\
        :im@:ei@:\
        :ct=\E[3k:ue=\E[m:\
        :is=\E[m\E[?1l\E>:\
        :rs=\E[m\E[?1l\E>:\
        :eA=\E)0:as=^N:ae=^O:ac=aaffggjjkkllmmnnooqqssttuuvvwwxx:\
        :kI=\E[2~:kD=\177:kP=\E[5~:kN=\E[6~:\
        :k1=\E[11~:k2=\E[12~:k3=\E[13~:k4=\E[14~:k5=\E[15~:\
        :k6=\E[17~:k7=\E[18~:k8=\E[19~:k9=\E[20~:k0=\E[21~:\
        :F1=\E[23~:F2=\E[24~:\
        :kh=\E[H:kH=\EOw:\
        :ks=:ke=:\
        :te=\E[2J\E[?47l\E8:ti=\E7\E[?47h:\
        :tc=vt-generic:

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".